<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="viewModel"
            type="com.sixin.module_p.ui.gnc.cunfang.add.PdaGncCunFangAddViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="15dp">

            <TextView
                completeSpace="@{4}"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="平板车" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:text="012、155、233"
                android:textColor="@color/text_normal"
                android:textStyle="bold" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:gravity="center_vertical">

            <TextView
                completeSpace="@{4}"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="存放区域" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:layout_marginLeft="20dp"
                android:background="@drawable/bg_search_row">

                <Spinner
                    android:background="@drawable/bg_spinner_pda"
                    android:theme="@style/spinner_normal"
                    android:textSize="14sp"
                    items="@{viewModel.areaList}"
                    onSelected="@{viewModel::onAreaSelected}"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <TextView
            android:layout_width="120dp"
            android:layout_height="50dp"
            android:layout_gravity="end"
            android:background="@color/colorPrimary"
            android:gravity="center"
            android:text="确定"
            android:onClick="@{()-> viewModel.onConfirmClick()}"
            android:textColor="@color/white"
            android:textSize="18sp" />

    </LinearLayout>
</layout>